// Walls
translate([0, 0, 54 / 2]) cube([30, 30, 54], center = true);

// Floor partitions
for (z = [0:7])
	translate([0, 0, (z + 1) * 6])
		cube([40, 40, 0.2], center = true);

// Side columns
for (y = [0:4]) {
	translate([-18, (y - 2) * 6, 24])
		cylinder(h = 48, r = 0.75, center = true);
	translate([18, (y - 2) * 6, 24])
		cylinder(h = 48, r = 0.75, center = true);
}

// Front / back columns
for (x = [0:6]) {
	translate([(x - 3) * 6, -18, 24])
		cylinder(h = 48, r = 0.75, center = true);
	translate([(x - 3) * 6, 18, 24])
		cylinder(h = 48, r = 0.75, center = true);
}
