// Ground floor
translate([0, 0, 3]) cube([50, 50, 6], center = true);
// Top floor
translate([0, 0, 9]) cube([59, 59, 6], center = true);
// Top floor ridges
translate([0, 0, 6]) cube([60, 60, 1], center = true);
translate([0, 0, 12]) cube([60, 60, 1], center = true);

// Front and back columns
for (x = [0:8]) {
	translate([(x - 4) * 6, -30, 6])
		cube([1, 2, 12], center = true);
	translate([(x - 4) * 6, 30, 6])
		cube([1, 2, 12], center = true);
}

// Side columns
for (y = [0:8]) {
	translate([-30, (y - 4) * 6, 6])
		cube([2, 1, 12], center = true);
	translate([30, (y - 4) * 6, 6])
		cube([2, 1, 12], center = true);
}

// Cupola
translate([0, 0, 14])
	rotate([0, 0, 45])
		cylinder(2, 10, 0, $fn = 4, center = true);
