// Walls
translate([0, 0, 18]) cube([24, 24, 36], center = true);

// Facade ridges
for (z = [0:5])
	translate([0, 0, (z + 1) * 6])
		cube([25, 25, 2], center = true);
for (x = [0:4])
	translate([(x - 2) * 6, 0, 18])
		cube([2, 26, 36], center = true);

// Side entrance
translate([13, -3, 0]) {
	// Stairs
	for (i = [0:9])
		translate([0, i * 0.3, i * 0.3 + 0.15])
			cube([2, 0.45, 0.15], center = true);
	// Landing
	translate([0, 4, 3]) cube([2, 2, 0.3], center = true);
	// Awning
	translate([0, 4, 6]) cube([2, 2, 0.2], center = true);
}
